/*!
 * @file Item.cpp
 * @brief ゲーム中のクリーチャーを定義する
 * @date 2013/12/11
 * @author Deskull
 * 2013 Sikabane Works.
 */

#include "stdafx.h"
#include "Item.h"

Item::Item(ID id, TAG tag, GameWorld *gameWorld) : GameElement(id, tag, gameWorld)
{
	this->SetDammyData();
}

Item::Item(void)
{
	this->SetDammyData();
}

Item::~Item(void)
{
}

void Item::SetDammyData(void)
{
	this->weight = 0;
}

bool Item::TakeEffect(Effect *effectPtr, POWER amount)
{
	if(effectPtr)
	{
		amount = 0;
	}
	return true;
}
